%define name	dvdstyler
%define version	1.5.1
%define relindex 2
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	DVD authoring GUI
Version: 	%{version}
Release: 	%{release}
Epoch:		1
Source:		http://prdownloads.sourceforge.net/dvdstyler/DVDStyler-%{version}_%{relindex}.tar.gz
Patch0:		dvdstyler-genisoimage.patch
URL:		http://dvdstyler.sourceforge.net/
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig ImageMagick
BuildRequires:	wxsvg-devel >= 1.0-0.beta6
BuildRequires:	kdelibs-common libgnomeui2-devel automake
BuildRequires:	dvdauthor mjpegtools netpbm mpgtx dvd+rw-tools
Requires:	dvdauthor mjpegtools netpbm mpgtx dvd+rw-tools
BuildRequires:	mkisofs
Requires:	mkisofs
BuildRequires:	gettext desktop-file-utils

%description
The main DVDStyler features are:
    * you can drag and drop MPEG files directly
    * you can import image file for background
    * you can create NTSC/PAL menu
    * you can place text and images anywhere on the menu screen
    * you can change font/color
    * you can put basic text buttons, change font/color and background color
    * you can set chapters for each movie
    * you can change post command for each movie

%prep
%setup -q -n DVDStyler-%{version}_%{relindex}
%patch0
#needed by patch0
./autogen.sh

%build
# Convert .po files to UTF-8: bug #31297 - AdamW 2007/06
pushd locale
for i in *.po; do msgconv -t UTF-8 $i -o $i.new; mv -f $i.new $i; done
popd
%configure2_5x --prefix=%_libdir --with-wx-config=%_bindir/wx-config-ansi
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -fr %buildroot/%{_docdir}

desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications \
	--remove-category='Application' \
	--add-category='Video;AudioVideoEditing' \
	%buildroot%_datadir/applications/*.desktop

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 src/rc/%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 src/rc/%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 src/rc/%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

#fd.o icons

mkdir -p $RPM_BUILD_ROOT/%_iconsdir/hicolor/{48x48,32x32,16x16}/apps
convert -size 48x48 src/rc/%name.png $RPM_BUILD_ROOT/%_iconsdir/hicolor/48x48/apps/%name.png
convert -size 32x32 src/rc/%name.png $RPM_BUILD_ROOT/%_iconsdir/hicolor/32x32/apps/%name.png
convert -size 16x16 src/rc/%name.png $RPM_BUILD_ROOT/%_iconsdir/hicolor/16x16/apps/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%update_icon_cache hicolor
		
%postun
%clean_menus
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%name
%{_datadir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_iconsdir}/hicolor/48x48/apps/%name.png
%{_iconsdir}/hicolor/32x32/apps/%name.png
%{_iconsdir}/hicolor/16x16/apps/%name.png


%changelog
* Mon Aug 27 2007 Funda Wang <fundawang@mandriva.org> 1.5.1-1mdv2008.0
+ Revision: 72089
- fix file list and desktop entry
- Rediff genisoimage patch
- New version 1.5.1
- use msgconv to convert po files, otherwise PO files will be invalid

* Tue Jun 12 2007 Adam Williamson <awilliamson@mandriva.com> 1:1.5-2mdv2008.0
+ Revision: 38371
- convert .po files to UTF-8 (#31297)

  + Funda Wang <fundawang@mandriva.org>
    - Conditioned patch

* Thu May 24 2007 Adam Williamson <awilliamson@mandriva.com> 1:1.5-1mdv2008.0
+ Revision: 30571
- nothing in pixmaps, package fd.o icons
- screw it, drop all 2007.0 stuff in the hope we don't need to build it there again
- drop conditionals for including patch, only conditionalize application
- 1.5 final. 2007: rebuild against updated libdbus

  + Funda Wang <fundawang@mandriva.org>
    - Pack pixmap dir


* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 1.5-0.beta7.1mdv2007.0
+ Revision: 131976
- update P0 to be fully genisoimage compliant (Rick James)
- fix buildrequires
- buildrequires automake1.8
- New version 1.5 beta 7
  replace mkisofs with cdrkit-genisoimage
  diff patch to support genisoimage
  xdg menu

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Import dvdstyler

* Wed Apr 12 2006 Jerome Martin <jmartin@mandriva.org> 1:1.5-0.beta5.1mdk
- beta5

* Fri Feb 03 2006 Austin Acton <austin@mandriva.org> 1:1.5-0.beta4.1mdk
- beta4

* Sun Jan 01 2006 Austin Acton <austin@mandriva.org> 1:1.5-0.beta3.1mdk
- 1.5beta3
- buildrequires wxsvg-devel
- mkrel

* Fri May 27 2005 Austin Acton <austin@mandriva.org> 1:1.4-1mdk
- 1.4
- epoch 1 to install over 1.31
- force newer wx config script

* Fri Feb 18 2005 Austin Acton <austin@mandrake.org> 1.31-1mdk
- 1.31

* Mon Jan 17 2005 Austin Acton <austin@mandrake.org> 1.3b-1mdk
- initial package

